Debian Bug report logs - #714028
ITP: finalterm -- Modern terminal emulator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominique Lasserre <lasserre.d@gmail.com>

Date: Mon, 24 Jun 2013 22:42:01 UTC

Owned by: Dominique Lasserre <lasserre.d@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lasserre.d@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#714028; Package wnpp. (Mon, 24 Jun 2013 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@gmail.com>:
New Bug report received and forwarded. Copy sent to lasserre.d@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 24 Jun 2013 22:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: finalterm -- Modern terminal emulator
Date: Tue, 25 Jun 2013 00:39:20 +0200
Package: wnpp
Severity: wishlist
Owner: Dominique Lasserre <lasserre.d@gmail.com>

* Package name    : finalterm
  Version         : pre-alpha
  Upstream Author : Philipp Emanuel Weidmann
* URL             : http://finalterm.org
* License         : GPL-3
  Programming Lang: Vala
  Description     : Modern terminal emulator

Final Term is a "new breed of terminal emulator" with some interesting
functionality (see the homepage for details and images):
    - semantic text menus (easily extendible)
    - built-in command completion (currently suggestions from history)
    - GUI terminal controls (detection of ASCII scrollbars, collapse of
      commands)
    - dynamic line wrapping on terminal resize
    - extended keybinding support (local/global) (easily extendible)
    - colorscheme support

Final Term currently does not built on a clean Debian box cause of it's
libkeybinder-3.0 (not packaged), mx-1.0 and some clutter dependencies
(linked libcogl is too old) but since finalterm is yet not stable enough
for the archive (it indeed hasn't released already) this ITP will show
there is something in progress to prepare it for Debian.

Project code is hosted on Github:
https://github.com/p-e-w/finalterm

Some Debian packaging code (not lintian clean) is hosted on Launchpad
(to provide an Ubuntu PPA):
https://code.launchpad.net/~versable/finalterm/deb-packaging

I'll push some code to mentors.net once Final Term releases.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#714028; Package wnpp. (Mon, 24 Jun 2013 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <asb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Mon, 24 Jun 2013 23:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 714028@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: Dominique Lasserre <lasserre.d@gmail.com>, 714028@bugs.debian.org
Subject: Re: Bug#714028: ITP: finalterm -- Modern terminal emulator
Date: Mon, 24 Jun 2013 19:13:13 -0400
On Mon, Jun 24, 2013 at 6:39 PM, Dominique Lasserre
<lasserre.d@gmail.com> wrote:
> Final Term currently does not built on a clean Debian box cause of it's
> libkeybinder-3.0 (not packaged), mx-1.0 and some clutter dependencies
> (linked libcogl is too old) but since finalterm is yet not stable enough
> for the archive (it indeed hasn't released already) this ITP will show
> there is something in progress to prepare it for Debian.

I would be willing to sponsor uploads of finalterm when it's ready. If
you need a sponsor, feel free to contact me directly.

Thanks!

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#714028; Package wnpp. (Thu, 14 Nov 2013 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 14 Nov 2013 00:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 714028@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: 714028@bugs.debian.org
Subject: progress
Date: Wed, 13 Nov 2013 21:46:24 -0300
Is there any progress on this ITP ? should we close it ?
--
Niv Sardi



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#714028; Package wnpp. (Sat, 23 Nov 2013 13:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Nov 2013 13:09:10 GMT) Full text and rfc822 format available.

Message #20 received at 714028@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@gmail.com>
To: Niv Sardi <xaiki@debian.org>, 714028@bugs.debian.org
Subject: Re: Bug#714028: progress
Date: Sat, 23 Nov 2013 14:06:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

finalterm development is active so this ITP is still relevant.

Regards
Dominique

On 14/11/13 01:46, Niv Sardi wrote:
> Is there any progress on this ITP ? should we close it ?
> --
> Niv Sardi
> 

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#714028; Package wnpp. (Sat, 23 Nov 2013 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Sat, 23 Nov 2013 15:57:04 GMT) Full text and rfc822 format available.

Message #25 received at 714028@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: Dominique Lasserre <lasserre.d@gmail.com>
Cc: 714028@bugs.debian.org
Subject: Re: Bug#714028: progress
Date: Sat, 23 Nov 2013 13:55:03 -0200
is the packaging work still active ?
should the ITP be converted to an RFP ?

On 23 November 2013 10:06, Dominique Lasserre <lasserre.d@gmail.com> wrote:
> Hi,
>
> finalterm development is active so this ITP is still relevant.
>
> Regards
> Dominique
>
> On 14/11/13 01:46, Niv Sardi wrote:
>> Is there any progress on this ITP ? should we close it ?
>> --
>> Niv Sardi
>>
>



-- 
Niv Sardi
<geek type="free" mood="proud">



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#714028; Package wnpp. (Sat, 23 Nov 2013 16:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Lasserre <lasserre.d@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Nov 2013 16:09:10 GMT) Full text and rfc822 format available.

Message #30 received at 714028@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@gmail.com>
To: Niv Sardi <xaiki@debian.org>
Cc: 714028@bugs.debian.org
Subject: Re: Bug#714028: progress
Date: Sat, 23 Nov 2013 17:06:13 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 23/11/13 16:55, Niv Sardi wrote:
> is the packaging work still active ?
Yes. But imho it does not make sense to discuss before the first
release. There are no special difficulties regarding packaging. Only one
author for Vala files and different for CMake files, standard vala
compilation.

> should the ITP be converted to an RFP ?
No. Co-maintainers are always welcome and we can setup a shared
packaging files repository.

Regards
Dominique Lasserre

> 
> On 23 November 2013 10:06, Dominique Lasserre <lasserre.d@gmail.com> wrote:
>> Hi,
>>
>> finalterm development is active so this ITP is still relevant.
>>
>> Regards
>> Dominique
>>
>> On 14/11/13 01:46, Niv Sardi wrote:
>>> Is there any progress on this ITP ? should we close it ?
>>> --
>>> Niv Sardi
>>>
>>
> 
> 
> 

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>:
Bug#714028; Package wnpp. (Thu, 30 Jan 2014 13:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominique Lasserre <lasserre.d@gmail.com>. (Thu, 30 Jan 2014 13:45:09 GMT) Full text and rfc822 format available.

Message #35 received at 714028@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 714028@bugs.debian.org
Subject: Package in experimental?
Date: Thu, 30 Jan 2014 14:41:58 +0100
Hi!

How about a package in experimental? Even if it's still unreleased, it's
a starting point for a stable package later. And for those who just want
to have a work-in-progress preview, it'd be handy, too.


Just my €0.02

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:01:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.